Package com.google.protobuf

# Interface DescriptorProtos.EnumOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.EnumOptions`, `DescriptorProtos.EnumOptions.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.EnumOptionsOrBuilder extends GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAllowAlias()`
`optional bool allow_alias = 2 [json_name = "allowAlias"];`
`boolean`
`getDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`boolean`
`getDeprecatedLegacyJsonFieldConflicts()`
Deprecated.
google.protobuf.EnumOptions.deprecated_legacy_json_field_conflicts is deprecated.
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasAllowAlias()`
`optional bool allow_alias = 2 [json_name = "allowAlias"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`boolean`
`hasDeprecatedLegacyJsonFieldConflicts()`
Deprecated.
google.protobuf.EnumOptions.deprecated_legacy_json_field_conflicts is deprecated.

### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasAllowAlias

boolean hasAllowAlias()
`optional bool allow_alias = 2 [json_name = "allowAlias"];`

Returns:
  Whether the allowAlias field is set.

### getAllowAlias

boolean getAllowAlias()
`optional bool allow_alias = 2 [json_name = "allowAlias"];`

Returns:
  The allowAlias.

### hasDeprecated

boolean hasDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Returns:
  Whether the deprecated field is set.

### getDeprecated

boolean getDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Returns:
  The deprecated.

### hasDeprecatedLegacyJsonFieldConflicts

@Deprecated boolean hasDeprecatedLegacyJsonFieldConflicts()
Deprecated.
google.protobuf.EnumOptions.deprecated_legacy_json_field_conflicts is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool deprecated_legacy_json_field_conflicts = 6 [json_name = "deprecatedLegacyJsonFieldConflicts", deprecated = true];`

Returns:
  Whether the deprecatedLegacyJsonFieldConflicts field is set.

### getDeprecatedLegacyJsonFieldConflicts

@Deprecated boolean getDeprecatedLegacyJsonFieldConflicts()
Deprecated.
google.protobuf.EnumOptions.deprecated_legacy_json_field_conflicts is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool deprecated_legacy_json_field_conflicts = 6 [json_name = "deprecatedLegacyJsonFieldConflicts", deprecated = true];`

Returns:
  The deprecatedLegacyJsonFieldConflicts.

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`